> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/erlc/get-online-players.md).

# Get Online Players

<mark style="color:green;">`GET`</mark> `https://api.sonorancms.com/v2/community/erlc/players/online`

> **Rate limit:** `27 requests per minute`

> Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Retrieve the online ER:LC players.

## Query Parameters

\| Name | Type | Required | Description |

\| --- | --- | --- | --- |

\| `robloxJoinCode` | string | Yes | See example request for the shape. |

## Example Request

{% tabs %}
{% tab title="Sonoran.lua" %}

```lua
local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local query = {
  ["robloxJoinCode"] = "ABC123"
}

local response = sonoran.cms:getOnlinePlayersV2(query)

if response.success then
  print(response.data)
else
  print(response.reason)
end
```

{% endtab %}

{% tab title="Sonoran.js" %}

```javascript
const Sonoran = require("sonoran.js");

const instance = Sonoran.instance({
  apiKey: "YOUR_API_KEY",
  communityId: "YOUR_COMMUNITY_ID",
  product: Sonoran.productEnums.CMS,
  serverId: 1,
});

async function main() {
  const query = {
  "robloxJoinCode": "ABC123"
};

  const response = await instance.cms.getOnlinePlayersV2(query);

  if (response.success) {
    console.log(response.data);
  } else {
    console.error(response.reason);
  }
}

main().catch((error) => {
  console.error(error);
});
```

{% endtab %}

{% tab title="Sonoran.py" %}

```python
from sonoran import Instance, productEnums

instance = Instance(
    apiKey="YOUR_API_KEY",
    communityId="YOUR_COMMUNITY_ID",
    product=productEnums.CMS,
    serverId=1,
)

query = {
  "robloxJoinCode": "ABC123"
}

response = instance.cms.getOnlinePlayersV2(query)

if response.success:
    print(response.data)
else:
    print(response.reason)
```

{% endtab %}

{% tab title="Sonoran.Net" %}

```csharp
using Sonoran;
using System.Text.Json;

using var sonoran = new SonoranClient(new SonoranClientOptions
{
    product = SonoranProduct.CMS,
    apiKey = "YOUR_API_KEY",
    communityId = "YOUR_COMMUNITY_ID",
    defaultServerId = 1
});

var query = new {
  robloxJoinCode = "ABC123"
};

var response = await sonoran.Cms.getOnlinePlayersV2(query);

if (response.success)
{
    Console.WriteLine(JsonSerializer.Serialize(response.data));
}
else
{
    Console.WriteLine(response.reason);
}
```

{% endtab %}

{% tab title="OpenAPI" %}

```yaml
openapi: "3.0.3"

info:

  title: "Sonoran CMS v2 - Get Online Players"

  version: "1.0.0"

  description: "Retrieve the online ER:LC players."

servers:

  -

    url: "https://api.sonorancms.com"

paths:

  /v2/community/erlc/players/online:

    get:

      summary: "Get Online Players"

      operationId: "getOnlinePlayers"

      parameters:

        -

          description: "Target Roblox join code."

          name: "robloxJoinCode"

          in: "query"

          schema:

            type: "string"

          required: false

      security:

        -

          bearerAuth: []

      responses:

        "200":

          description: "Successful response"

          content:

            application/json:

              schema:

                type: "object"

              example:

                success: true

                data:

                  -

                    Player: "ExamplePlayer:123456789"

                    Permission: "Normal"

                    Callsign: ""

                    Team: "Civilian"

                    Actioned: null

                    Location:

                      LocationX: 0

                      LocationY: 0

                      LocationZ: 0

                meta:

                  timestamp: "2026-04-15T00:00:00.000Z"

                  path: "/v2/community/erlc/players/online"

components:

  securitySchemes:

    bearerAuth:

      type: "http"

      scheme: "bearer"

      bearerFormat: "JWT"
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --request GET \

  --url "https://api.sonorancms.com/v2/community/erlc/players/online?robloxJoinCode=ABC123" \

  --header "Authorization: Bearer YOUR_API_KEY" \

  --header "Accept: application/json"
```

{% endtab %}
{% endtabs %}

## Response

The `data` array contains the ERLC player projection rows returned by the hub cache. Each item follows the panel player shape.

```json

{

  "success": true,

  "data": [

    {

      "Player": "ExamplePlayer:123456789",

      "Permission": "Normal",

      "Callsign": "",

      "Team": "Civilian",

      "Actioned": null,

      "Location": {

        "LocationX": 0,

        "LocationY": 0,

        "LocationZ": 0

      }

    }

  ],

  "meta": {

    "timestamp": "2026-04-15T00:00:00.000Z",

    "path": "/v2/community/erlc/players/online"

  }

}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints-v2/erlc/get-online-players.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
